import {
  test as base,
  TestFixture as BaseTestFixture,
  WorkerFixture as BaseWorkerFixture,
} from '@genesislcap/foundation-testing/e2e';
import { HeaderPage } from './pages';

export type TestFixture = BaseTestFixture & {
  headerPage: HeaderPage;
};

export type WorkerFixture = BaseWorkerFixture & {};

export const test = base.extend<TestFixture, WorkerFixture>({
  headerPage: async ({ config, port, page }, use) => {
    const headerPage = new HeaderPage(config, port, page);
    await headerPage.goto();
    await use(headerPage);
  },
});
